Bug 810505 - a4j:push not working in RichFaces demo packaged with EPP
a4j:push not working in RichFaces demo packaged with EPP
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: PortletBridge (Show other bugs)
5.2.1.ER03
i686 Linux
unspecified Severity low
: ---
: 5.2.2.ER01
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 09:21 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8734 by hfnukal at 2012-06-21 04:41:56 EDT (show)
8734 by hfnukal at 2012-06-21 04:41:56 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 810505 - a4j:push not working in RichFaces demo packaged with EPP

1 file changed:

  • epp/portal/branches/EPP_5_2_Branch/distribution/jboss-epp/portletbridge/src/assemble.xml (+1 / -1)


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2012-04-06 09:21:16 EDT
Description of problem:
The following part of web.xml of the RichFaces demo is required for a4j:push to work over Portlet Bridge:

<context-param>
    <param-name>A4J.AJAX.Push.URL</param-name>
    <param-value>/richFacesPortlet/faces/a4j.push</param-value>
</context-param>

The value of the parameter needs to point to the web app context. In this case the value is set to "richFacesPortlet", which is the default name of the war file for Portlet Bridge, but the demo is bundled with EPP as "richFacesPortlet-[Portlet Bridge version].war" and thus a4j:push doesn't work by default.

Two possible ways to fix this:
1, Distribute the example as "richFacesPortlet.war".
2, Alter web.xml of the example before it's packaged with EPP.

Since we already dropped the version in the name of the Seam example for a similar reason, I'd suggest going with the first option and get rid of the version in the name of all the bridge examples.
Comment 1 hfnukal@redhat.com 2012-06-21 04:42:14 EDT
Renaming examples removing version.
Comment 2 Miroslav Cupák 2012-08-27 12:10:38 EDT
Verified again with 5.2.2.CR01.

Note You need to log in before you can comment on or make changes to this bug.